Page MenuHomePhabricator

Use extension.json, deprecate use of Gather.php for registering config
Closed, ResolvedPublic

Description

This is far too confusing and difficult to maintain. For background:

11:11 yurik: jdlrobson2, do we expect to support older mediawikis ?
11:12 yurik: jdlrobson2, if not, would rather get rid of all the settings in gather.php and move to extension.json
11:13 yurik: so no need for <1.25 support, rigth?
11:13 jdlrobson2: yurik: let me fix the status quo in https://gerrit.wikimedia.org/r/#/c/194850/ and then i'm more than happy to drop < 1.25 support :)

More details are available on T87875.

Event Timeline

Jdlrobson created this task.Mar 6 2015, 7:27 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In Analysis on the Gather Sprint C_ board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 7:27 PM

As part of this I think we should move resource registration into a hook. The lack of boilerplates will make this messy.

Jdlrobson moved this task from Needs triage to Triaged bugs on the Gather board.Mar 7 2015, 12:11 AM
Jdlrobson moved this task from Triaged bugs to Developer backlog on the Gather board.
Jdlrobson set Security to None.

Change 197417 had a related patch set uploaded (by Yurik):
Migrated from Gather.php to extension.json

https://gerrit.wikimedia.org/r/197417

Jdlrobson removed Yurik as the assignee of this task.Mar 24 2015, 8:02 PM
Paladox updated the task description. (Show Details)May 11 2015, 10:36 AM

Change 197417 had a related patch set uploaded (by Paladox):
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/197417

Change 197417 merged by jenkins-bot:
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/197417

Jdlrobson closed this task as Resolved.May 12 2015, 9:26 AM
Jdlrobson claimed this task.